Define an instrument. An instrument is associated with a part, but a part can have instrument changes and thus contain multiple instruments at different points in the score. Not all of these parameters are fully utilized yet, and there are plans to greatly expand what an SmoInstrument is. Note I may move this to PartInfo module.

### Hierarchy

- StaffModifierBase
  - SmoInstrument

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoInstrument(params: SmoInstrumentParams): SmoInstrument

- Overrides StaffModifierBase.constructor

  - Defined in src/smo/data/staffModifiers.ts:164

  #### Parameters

  - ##### params: SmoInstrumentParams

  #### Returns SmoInstrument

Generated using TypeDoc